package com.jln.ld;

import com.badlogic.gdx.ApplicationAdapter;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.GL20;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.badlogic.gdx.graphics.g2d.freetype.FreeTypeFontGenerator;
import com.badlogic.gdx.graphics.g2d.freetype.FreeTypeFontGenerator.FreeTypeFontParameter;
import com.badlogic.gdx.graphics.glutils.ShapeRenderer;
import com.jln.ld.menus.GameMenu;
import com.jln.ld.menus.TitleMenu;

public class Ld38Launcher extends ApplicationAdapter {
	SpriteBatch batch;
	Texture img;
	
	private GameMenu gameMenu;
	private TitleMenu titleMenu;
	private int gameMode = 0;
	
	public static int BEST_SCORE = 0;
	public static int LAST_SCORE = 0;
	
	/**
	 * Creation des ressources
	 */
	@Override
	public void create () {
		titleMenu = new TitleMenu();
		gameMenu = new GameMenu();
		GameShared.instance.gameBatch = new SpriteBatch();
		GameShared.instance.menuBatch = new SpriteBatch();
		GameShared.instance.shapeRenderer = new ShapeRenderer();
		GameShared.instance.shapeRenderer.setAutoShapeType(true);

		
		FreeTypeFontGenerator generator = new FreeTypeFontGenerator(Gdx.files.internal("menus/pixelOperator8.ttf"));
		FreeTypeFontParameter parameter = new FreeTypeFontParameter();
		parameter.size = 14;
		parameter.spaceX = 0;
		GameShared.instance.font = generator.generateFont(parameter);
		GameShared.instance.font.setColor(Color.WHITE);
		generator.dispose();
	}

	/**
	 * Boucle principale de jeu
	 */
	@Override
	public void render () {
		
		if(gameMode == 0){
			titleMenu.update(this);
			titleMenu.render(this);
		}else if(gameMode == 1){
			gameMenu.update(this);
			gameMenu.render(this);
		}
	}
	
	/**
	 * Bascule vers le mode de jeu principal
	 */
	public void goToGameMode(){
		gameMode = 1;
		gameMenu.launchMusic();
		
		// TODO super transition
	}
	
	/**
	 * Bascule vers l'ecran titre
	 */
	public void goToTitleMenu(){
		gameMode = 0;
		gameMenu.stopMusic();
		gameMenu.init();
		// TODO super transition
	}
}
